summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author B. Watson2014-08-06 13:42:35 +0200
committer Willy Sudiarto Raharjo2014-08-06 13:42:35 +0200
commit644bd3f024fdfb7c8be51331c4573519cb610110 (patch)
tree3b15428abf0c5d47628066b779b48cf1969f2df9 /system
parent7408017fa321eff3a96f2ad339004af5a65b3d99 (diff)
downloadslackbuilds-644bd3f024fdfb7c8be51331c4573519cb610110.tar.gz
system/lhasa: Added (replacement for UNIX LHA tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/lhasa/README17
-rw-r--r--system/lhasa/doinst.sh5
-rw-r--r--system/lhasa/lhasa.SlackBuild84
-rw-r--r--system/lhasa/lhasa.info10
-rw-r--r--system/lhasa/slack-desc19
5 files changed, 135 insertions, 0 deletions
diff --git a/system/lhasa/README b/system/lhasa/README
new file mode 100644
index 0000000000..c6441fdb2b
--- /dev/null
+++ b/system/lhasa/README
@@ -0,0 +1,17 @@
+lhasa (Free Software replacement for UNIX LHA tool)
+
+Lhasa is a Free Software replacement for the Unix LHA tool, for
+decompressing .lzh (LHA / LHarc) and .lzs (LArc) archives. The backend for
+the tool is a library, so that it can be reused for other purposes. Lhasa
+aims to be compatible with as many types of lzh/lzs archives as
+possible. It also aims to generate the same output as the (non-free)
+Unix LHA tool, so that it will act as a drop-in free replacement.
+
+Note that lhasa is only for *decompressing*, not compressing/creating
+archives.
+
+The binary is installed as /usr/bin/lhasa. If installing on a system that
+doesn't already have Slackware's lha package, symlinks will be created
+so lhasa can be called as /usr/bin/lha (and "man lha" will work). This
+allows lhasa to replace Slackware's lha package, but doesn't conflict
+if both are installed.
diff --git a/system/lhasa/doinst.sh b/system/lhasa/doinst.sh
new file mode 100644
index 0000000000..e48f847b41
--- /dev/null
+++ b/system/lhasa/doinst.sh
@@ -0,0 +1,5 @@
+# If there's no lha, take over:
+if [ ! -r usr/bin/lha ]; then
+ ( cd usr/bin ; ln -sf lhasa lha )
+ ( cd usr/man/man1 ; ln -sf lhasa.1.gz lha.1.gz )
+fi
diff --git a/system/lhasa/lhasa.SlackBuild b/system/lhasa/lhasa.SlackBuild
new file mode 100644
index 0000000000..d6e418720e
--- /dev/null
+++ b/system/lhasa/lhasa.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for lhasa
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=lhasa
+VERSION=${VERSION:-0.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --program-suffix=sa \
+ --disable-static \
+ --enable-shared \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+gzip $PKG/usr/man/man1/$PRGNAM.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/api
+cp -a AUTHORS COPYING INSTALL NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/html/* $PKG/usr/doc/$PRGNAM-$VERSION/api
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/lhasa/lhasa.info b/system/lhasa/lhasa.info
new file mode 100644
index 0000000000..c077566988
--- /dev/null
+++ b/system/lhasa/lhasa.info
@@ -0,0 +1,10 @@
+PRGNAM="lhasa"
+VERSION="0.2.0"
+HOMEPAGE="http://fragglet.github.io/lhasa/"
+DOWNLOAD="https://soulsphere.org/projects/lhasa/lhasa-0.2.0.tar.gz"
+MD5SUM="a5011f06f10c971788b9d416a3dbc15b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/lhasa/slack-desc b/system/lhasa/slack-desc
new file mode 100644
index 0000000000..98930cceef
--- /dev/null
+++ b/system/lhasa/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lhasa: lhasa (Free Software replacement for UNIX LHA tool)
+lhasa:
+lhasa: Lhasa is a Free Software replacement for the Unix LHA tool, for
+lhasa: decompressing .lzh (LHA / LHarc) and .lzs (LArc) archives. The
+lhasa: backend for the tool is a library, so that it can be reused for
+lhasa: other purposes. Lhasa aims to be compatible with as many types of
+lhasa: lzh/lzs archives as possible. It also aims to generate the same
+lhasa: output as the (non-free) Unix LHA tool, so that it will act as a
+lhasa: drop-in free replacement.
+lhasa:
+lhasa: